# $Revision: 1.20 $, $Date: 2008/07/27 22:30:41 $
#
# Conditional build:
%bcond_without	tests	# Do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Crypt
%define		pnam	GeneratePassword
Summary:	Crypt::GeneratePassword - generate secure random pronounceable passwords
Summary(pl.UTF-8):	Crypt::GeneratePassword - generuj bezpieczne, losowe, wymawialne hasła
Name:		perl-Crypt-GeneratePassword
Version:	0.03
Release:	2
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	65a9e924ba7496ebd13b70d863d8ae1b
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Crypt::GeneratePassword generates random passwords that are (more or less)
pronounceable.  Unlike Crypt::RandPasswd, it doesn't use the FIPS-181
NIST standard, which is proven to be insecure.  It does use a similar
interface, so it should be a drop-in replacement in most cases.

%description -l pl.UTF-8
Crypt::GeneratePassword generuje losowe hasła, (lepiej lub gorzej)
wymawialne.  W odróżnieniu od Crypt::RandPasswd, nie używa on standardu
FIPS-181 NIST, który -- jak udowodniono -- nie jest bezpieczny.  Używa za
to podobnego interfejsu, więc zastępowanie w większości przypadków
powinno być bezproblemowe.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Change* README
%{perl_vendorlib}/%{pdir}/*.pm
%{perl_vendorlib}/%{pdir}/%{pnam}
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Crypt-GeneratePassword.spec,v $
Revision 1.20  2008/07/27 22:30:41  arekm
- release 2

Revision 1.19  2007-02-13 07:16:53  glen
- tabs in preamble

Revision 1.18  2007/02/12 00:49:27  baggins
- converted to UTF-8

Revision 1.17  2004/11/03 22:30:12  paladine
- formatting

Revision 1.16  2004/05/06 18:09:24  ankry
- fixed perl-devel BR

Revision 1.15  2004/04/25 06:25:06  ankry
- cosmetics: unification

Revision 1.14  2004/04/20 09:55:37  ankry
- new bconds

Revision 1.13  2004/04/19 19:37:07  ankry
- license fixes and unification

Revision 1.12  2003/09/15 08:17:45  adamg
- updated to 0.03

Revision 1.11  2003/09/09 10:24:31  ankry
- spaces -> tab

Revision 1.10  2003/08/18 08:08:35  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.9  2003/05/28 13:00:30  malekith
- massive attack: source-md5

Revision 1.8  2003/05/25 06:24:34  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.7  2003/04/11 18:59:22  radek
- BR: perl-devel; do not BR: perl

Revision 1.6  2003/03/01 18:46:30  radek
- should be ready for perl-5.8.0; release++

Revision 1.5  2003/02/25 00:37:42  radek
- use the __perl macro

Revision 1.4  2003/02/18 15:28:51  ankry
- massive attack: change CPAN URLs

Revision 1.3  2002/09/17 07:50:37  kloczek
- (auto)updated to 0.02.

Revision 1.2  2002/09/09 13:39:31  radek
- pl summary/description; release 2

Revision 1.1  2002/09/08 15:51:10  radek
- new, STBR

